<?php

namespace Litecms\Simplepackage\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class SimplepackageTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Simplepackage\Models\Simplepackage $simplepackage)
    {
        return [
            'id'                => $simplepackage->getRouteKey(),
            'key'               => [
                'public'    => $simplepackage->getPublicKey(),
                'route'     => $simplepackage->getRouteKey(),
            ], 
            'name'              => $simplepackage->name,
            'price'             => $simplepackage->price,
            'points'            => $simplepackage->points,
            'tokens'            => $simplepackage->tokens,
            'url'               => [
                'public'    => trans_url('simplepackage/'.$simplepackage->getPublicKey()),
                'user'      => guard_url('simplepackage/simplepackage/'.$simplepackage->getRouteKey()),
            ], 
            'status'            => trans('app.'.$simplepackage->status),
            'created_at'        => format_date($simplepackage->created_at),
            'updated_at'        => format_date($simplepackage->updated_at),
        ];
    }
}