<?php

namespace Litecms\Simplepackage;

use User;

class Simplepackage
{
    /**
     * $simplepackage object.
     */
    protected $simplepackage;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Simplepackage\Interfaces\SimplepackageRepositoryInterface $simplepackage)
    {
        $this->simplepackage = $simplepackage;
    }

    /**
     * Returns count of simplepackage.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.simplepackage.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->simplepackage->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\SimplepackageUserCriteria());
        }

        $simplepackage = $this->simplepackage->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('simplepackage::' . $view, compact('simplepackage'))->render();
    }
}
